Subject: Re: bug#507: compilation problem under Solaris

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 07 Jul 2008 17:26:12 -0700

Glenn Morris <[email-masked]> writes:

  > Langella Raphael wrote (on Fri, 4 Jul 2008 at 10:40 +0200):
  > 
  > > > By far the easiest way for you to fix this is just to edit your
  > > > src and lib-src Makefile by hand.
  > > 
  > > That's exactly what I did even before reporting the bug. I just
  > > thought I should report this. And I didn't have to edit
  > > lib-src/Makefile, only src/Makefile.
  > 
  > I know. Thanks for taking the time to report it.
  > 
  > If you like, you could check that the configure patch, plus changing
  > files in src/ to use __sparc__ rather than sparc, works:
  > 
  > src/m/sparc.h:
  > 
  > /* Say this machine is a sparc */
  > 
  > #ifndef __sparc__
  > #define __sparc__
  > #endif

This should not be needed, the compiler defines __sparc__ by default.